std::experimental::basic_string_view::find_last_not_of(3)

NAME
std::experimental::basic_string_view::find_last_not_of - std::experimental::basic_string_view::find_last_not_of

Synopsis
   constexpr size_type (library fundamentals
   find_last_not_of(basic_string_view v, size_type pos = (1) TS)
   npos) const noexcept;
   constexpr size_type (library fundamentals
   find_last_not_of(CharT c, size_type pos = npos) const (2) TS)
   noexcept;
   constexpr size_type (library fundamentals
   find_last_not_of(const CharT* s, size_type pos, size_type (3) TS)
   count) const;
   constexpr size_type (library fundamentals
   find_last_not_of(const CharT* s, size_type pos = npos) (4) TS)
   const;
   Finds the last character not equal to any of the characters in the given character
   sequence.
   1) Finds the last character not equal to any of the characters of v in this view,
   starting at position pos.
   2) Equivalent to find_last_not_of(basic_string_view(&c, 1), pos).
   3) Equivalent to find_last_not_of(basic_string_view(s, count), pos).
   4) Equivalent to find_last_not_of(basic_string_view(s), pos).

Parameters
   v - view to search for
   pos - position at which to start the search
   count - length of the string of characters to compare
   s - pointer to a string of characters to compare
   ch - character to compare

Return value
   Position of the last character not equal to any of the characters in the given
   string, or npos if no such character is found.

Complexity
   O(size() * v.size()) at worst.

See also
   find find characters in the view
                     (public member function)
   rfind find the last occurrence of a substring
                     (public member function)
   find_first_of find first occurrence of characters
                     (public member function)
   find_last_of find last occurrence of characters
                     (public member function)
   find_first_not_of find first absence of characters
                     (public member function)